package com.hongyegroup.cpt_main.ui

import android.content.Intent
import android.os.Bundle
import androidx.databinding.ViewDataBinding
import com.guadou.lib_baselib.base.activity.BaseVDBActivity
import com.guadou.lib_baselib.base.vm.BaseViewModel
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.CommUtils
import com.hongyegroup.cpt_main.R

class InviteFriendsActivity:BaseVDBActivity<BaseViewModel,ViewDataBinding>() {

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, InviteFriendsActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun init(savedInstanceState: Bundle?) {

    }

    override fun getDataBindingConfig(): DataBindingConfig {

        return DataBindingConfig(R.layout.activity_invite_friends)

    }

    override fun startObserve() {

    }
}